#include <stdio.h>
int main () {

	int i,j,n;

	scanf("%d",&n);
	
        if(n<=0){
                printf("-1\n");
                return 1;
        }

        for (i=1;i<=n+1;i++){
                for (j=1;j<=i-1;j++){
                     if(i>j-n)
             		printf(" ");
			else printf("*");
	       	if(i>n-j)
			printf("*A");
	
		
       }
        printf("\n");
 }
 return 0;
 }

